GLS ShipIT 5.0.11 GLS ShipIT - SOAP services

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.LabelDescription Enum Reference

## Public Member Functions
| LabelDescription (String v)
String | value ()

## Static Public Member Functions
static LabelDescription | fromValue (String v)

## Public Attributes
| XmlEnumValue

## Detailed Description

Java class for LabelDescription.

The following schema fragment specifies the expected content contained within this class.

    <simpleType name="LabelDescription">
      <restriction base="{http://www.w3.org/2001/XMLSchema}string">
        <enumeration value="Delivery"/>
        <enumeration value="Return"/>
      </restriction>
    </simpleType>

Definition at line 25 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/LabelDescription.java.

## Constructor & Destructor Documentation

## ◆ LabelDescription()

eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.LabelDescription.LabelDescription | ( | String | v | ) |

Definition at line 33 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/LabelDescription.java.

## Member Function Documentation

## ◆ fromValue()

static LabelDescription eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.LabelDescription.fromValue | ( | String | v | ) |
| static

Definition at line 41 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/LabelDescription.java.

## ◆ value()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.LabelDescription.value | ( |  | ) |

Definition at line 37 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/LabelDescription.java.

## Member Data Documentation

## ◆ XmlEnumValue

eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.LabelDescription.XmlEnumValue

Initial value:
=("Delivery")
DELIVERY("Delivery")

Definition at line 27 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/LabelDescription.java.

The documentation for this enum was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/LabelDescription.java